Bug 107127 - Notebookbar: Make it easy to create toggle buttons to unhide hidden tabs and groups
Summary: Notebookbar: Make it easy to create toggle buttons to unhide hidden tabs and ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2017-04-12 19:10 UTC by andreas_k
Modified: 2018-04-17 02:30 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
draw icon will open the insert grapic toolbar but in notebookbar everything should be available in the notebookbar. (83.77 KB, image/png)
2017-04-12 19:10 UTC, andreas_k
Details
ui file for tests (405.63 KB, application/x-designer)
2017-04-12 19:11 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2017-04-12 19:10:54 UTC
Created attachment 132524 [details]
draw icon will open the insert grapic toolbar but in notebookbar everything should be available in the notebookbar.

Add context-drawgraphic for notebook bar that you can have a context toolbar for draw graphic when you click the insert draw toolbar. now with the icon the insert grapic toolbar was opened.
Comment 1 andreas_k 2017-04-12 19:11:28 UTC
Created attachment 132525 [details]
ui file for tests
Comment 2 Yousuf Philips (jay) (retired) 2017-04-13 13:21:36 UTC
In the tabbed notebookbar implementation, a draw properties tab should appear and be switched to, and the drawing objects properties toolbar shouldnt appear.
Comment 3 Yousuf Philips (jay) (retired) 2017-04-16 19:59:35 UTC
I'm confused andreas, as we have context-Draw for dealing with draw shape properties, or are you referring to something else.
Comment 4 andreas_k 2017-04-16 20:44:00 UTC
you are right Jay, the context-drawgraphic setting is already there so I don't need a context-drawgraphic setting.

What I need is to show the context-draw menu when click on .uno:insertDraw because I can't switch to the draw tab at contextual toolbars (without tabs) So I need an button that I can switch to context-draw layout not only switch to it when select a drawing also for the first time I'd like to start drawing I have to come somehow to the context- menu.
Comment 5 Yousuf Philips (jay) (retired) 2017-04-16 22:25:57 UTC
context-Draw is shown while inserting a shape or when selecting a shape, so having it appear when clicking .uno:insertDraw doesnt make sense. Changing .uno:insertDraw to show a hidden Draw group filled with buttons to insert shapes rather than showing the Drawing toolbar makes some sense, but i would be against this change.

What makes more sense and what i'd support is to have devs create an easy means for glade designers to create toggle buttons (GtkToggleButton) that could reference a hidden tab or group and the button would unhide it when clicked. @Maxim, @Szymon: Would this be something simple to create?
Comment 6 andreas_k 2017-04-16 22:31:23 UTC
> What makes more sense and what i'd support is to have devs create an easy
> means for glade designers to create toggle buttons (GtkToggleButton) that
> could reference a hidden tab or group and the button would unhide it when
> clicked. @Maxim, @Szymon: Would this be something simple to create?

way better. That's exactly what desingers need when they have available less space. That's exact what I need jay.
Comment 7 QA Administrators 2018-04-17 02:30:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug